%global         pypi_name       wget
Version:        3.2
%global         tag             %{version}
%forgemeta

Name:           python-%{pypi_name}
Release:        1%{?dist}
Summary:        Download files from the internet

License:        Public Domain
URL:            https://pypi.org/project/wget
Source0:        https://files.pythonhosted.org/packages/47/6a/62e288da7bcda82b935ff0c6cfe542970f04e29c756b0e147251b2fb251f/wget-3.2.zip


BuildRequires:  python3-devel
BuildArch: noarch

%global _description %{expand:
Pure Python tool to download files.}

%description %_description

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
%pyproject_check_import
# No tests available

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.txt

%changelog
* Mon Jul 03 2023 Benson Muite <benson_muite@emailplus.org> - 0.3.8-1
- Initial packaging
